package blockchain
import (
	"fmt"
	"strings"
)
// GetEndTimeArray query the chaincode to get the state of endTime and convert to an array
func (setup *FabricSetup) GetEndTimeArray(botId string, procId string, operId string) ([]string, error) {
	etString, err := setup.getOperStateByName("endTime", botId, procId, operId)
	if err != nil {
		return []string{""}, fmt.Errorf("failed to query GetEndTimeArray: %v", err)
	}
	return strings.Split(etString, "/"), nil
}