package blockchain
import (
    "fmt"
	"github.com/hyperledger/fabric-sdk-go/pkg/client/channel"
	"strings"
)
func (setup *FabricSetup) GetResources(botId string) ([]string, error) {
	// Prepare arguments
	var args []string
	args = append(args, "invoke")
	args = append(args, "queryResourcesIDsOfSchedule")
	args = append(args, botId)
	var queryArgs [][]byte
	for i:=1; i<len(args); i++ {
		queryArgs = append(queryArgs, []byte(args[i]))
	}
	response, err := setup.client.Query(channel.Request{ChaincodeID: setup.ChainCodeID, Fcn: args[0], Args: queryArgs})
	if err != nil {
		return []string{""}, fmt.Errorf("failed to query GetResources: %v", err)
	}
	return strings.Split(string(response.Payload), ";"), nil
}