package blockchain
import (
	"fmt"
	"github.com/hyperledger/fabric-sdk-go/pkg/client/channel"
)
// GetResourceWorktime query the chaincode to get the state of resWorktime
func (setup *FabricSetup) GetResourceWorktime(botId string, resourceId string) (string, error) {
	// Prepare arguments
	var args []string
	args = append(args, "invoke")
	args = append(args, "queryResource")
	args = append(args, "resWorktime")
	args = append(args, botId)
	args = append(args, resourceId)
	var queryArgs [][]byte
	for i:=1; i<len(args); i++ {
		queryArgs = append(queryArgs, []byte(args[i]))
	}
	response, err := setup.client.Query(channel.Request{ChaincodeID: setup.ChainCodeID, Fcn: args[0], Args: queryArgs})
	if err != nil {
		return "", fmt.Errorf("failed to query GetOperationName: %v", err)
	}
	return string(response.Payload), nil
}