package blockchain
import (
	"fmt"
	"strings"
)
// GetStartTimeArray query the chaincode to get the state of startTime and convert to an array
func (setup *FabricSetup) GetStartTimeArray(botId string, procId string, operId string) ([]OperationStartTime, error) {
	stString, err := setup.getOperStateByName("startTime", botId, procId, operId)
	if err != nil {
		return []OperationStartTime{}, fmt.Errorf("failed to query GetOperationResourceLink: %v", err)
	}
	var sta []OperationStartTime
	var sts []string
	for _, stSubstring := range strings.Split(stString, "/") {
		sts = strings.Split(stSubstring, ";")
		if len(sts)>1 {
			sta = append(sta, OperationStartTime{Intensity: sts[0], Value: sts[1]})
		} else {
			sta = []OperationStartTime{}
		}
	}
	return sta, nil
}